## pycurl 7.12

=== Makefile ===
#
# to use a specific python version call
#   `make PYTHON=python2.2'
#

SHELL = /bin/sh

PYTHON = python2.3
PYTHON = python

all build:
	$(PYTHON) setup.py build

build-7.10.8:
	$(PYTHON) setup.py build --curl-config=/home/hosts/localhost/packages/curl-7.10.8/bin/curl-config

test: build
	$(PYTHON) tests/test_internals.py -q

# (needs GNU binutils)
strip: build
	strip -p --strip-unneeded build/lib*/*.so
	chmod -x build/lib*/*.so

install install_lib:
	$(PYTHON) setup.py $@

clean:
	-rm -rf build dist
	-rm -f *.pyc *.pyo */*.pyc */*.pyo */*/*.pyc */*/*.pyo
	-rm -f MANIFEST
	cd src && $(MAKE) clean

distclean: clean

maintainer-clean: distclean

dist sdist: distclean
	$(PYTHON) setup.py sdist

# target for maintainer
windist: distclean
	rm -rf build
	python2.1 setup.py bdist_wininst
	rm -rf build
	python2.2 setup.py bdist_wininst
	rm -rf build
	python2.3 setup.py bdist_wininst
	rm -rf build
	python2.1 setup_win32_ssl.py bdist_wininst
	rm -rf build
	python2.2 setup_win32_ssl.py bdist_wininst
	rm -rf build
	python2.3 setup_win32_ssl.py bdist_wininst
	rm -rf build


.PHONY: all build test strip install install_lib clean distclean maintainer-clean dist sdist windist

.NOEXPORT:

## pycurl 7.19.0

=== debian/changelog ===
pycurl (7.19.0-5) unstable; urgency=low

  * debian/rules
    - install debug files where gdb will look for them
  * debian/pyversions
    - removed, not needed
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed Conflicts/Replaces/Provides, not needed
    - added libssh2-1-dev to build-depends; thanks to Jakub Wilk for the report;
      Closes: #658952
  * Convert to 3.0 (quilt) source format
  * Convert to Debhelper 7

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Feb 2012 17:22:11 +0100

pycurl (7.19.0-4) unstable; urgency=low

  * Add the now!? missing librtmp-dev build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Apr 2011 19:37:02 +0200

pycurl (7.19.0-3) unstable; urgency=low

  * Fix FTBFS on kfreebsd, thanks to KiBi (Closes: #540980).
  * Bump Standards-version to 3.8.3, no changes needed. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Sep 2009 18:03:31 +0200

pycurl (7.19.0-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)

  [ Bernd Zeimetz ]
  * Use /usr/bin/curl-config --version to find the libcurl version
    to depend on (Closes: #527546). Thanks to Samuel Bronson.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 07 Aug 2009 18:00:37 +0200

pycurl (7.19.0-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
    - Rising the priority to optional, as we have rdepends in optional.
  * Switching from python-central to python-support. 
  * Support building for Python 2.6. 

  [ Sandro Tosi ]
  * New upstream release.
  * debian/control
    - bump libcurl4-gnutls-dev versioned depends to >= 7.19.0
    - updated my email address
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - added Vcs-{Browser,Svn} fields
    - added ${misc:Depends} to binary packages
    - switch Vcs-Browser field to viewsvn
    - adjusted section to 'debug' for -dbg package
    - force libcurl3-gnutls depends to at least on version 7.19.0;
      Closes: #527546
  * debian/patches/10_setup.py.dpatch
    - added description (to please lintian) and updated my email address
  * debian/copyright
    - used the correct location of LGPL 2.1 on local machine

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 May 2009 22:33:30 +0200

pycurl (7.18.2-1) unstable; urgency=low

  * New upstream release.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jun 2008 13:15:53 +0200

pycurl (7.18.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * Adopting packages (Closes: #481074)
  * New upstream release.
  * debian/control
    - set the team as Maintainer
    - added Bernd Zeimetz and me in Uploaders, removing Matthias Klose
    - bumped Build-Dep on libcurl4-gnutls-dev to (>= 7.18.1)
    - added dpatch Build-Dep
    - bumped Standards-Version to 3.7.3 (no changes)
    - moved Homepage field to source stanza
    - updated dependency for -dbg extension to python-pycurl to use
      ${binary:Version}, to be binNMU safe
    - fixed a mispell of Python in Description
  * debian/rules
    - added dpatch stuff
    - using setup.py for install and clean targets
    - running some tests at build-time
  * debian/patches/10_setup.py.dpatch
    - added to remove direct upstream code modification
  * debian/python-pycurl.doc-base
    - Section updated to Programming/Python
  * debian/copyright
    - indented upstream authors, copyright and license with 4 spaces
    - separated copyright and license notice
    - extended years in Copyright notice
    - explicitly identified LGPL location on filesystem
    - added dual licensing, including MIT license text

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Jun 2008 19:17:08 +0200

pycurl (7.16.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 18 Jul 2007 17:54:16 +0200

pycurl (7.16.2.1-3) unstable; urgency=low

  * Fixed package description (closes: #423905).
  * Merge from Ubuntu:
    - build a python-pycurl-dbg package.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 28 May 2007 01:14:33 +0200

pycurl (7.16.2.1-2) unstable; urgency=low

  * Proper SSL library flavour is now known during build.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 14 May 2007 01:17:33 +0200

pycurl (7.16.2.1-1) unstable; urgency=low

  * New upstream release.
  * Build depends on libcurl4-gnutls-dev (closes: #423446, #423632).
  * Use dh_pycentral instead of dh_python.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 10 May 2007 16:29:02 +0200

pycurl (7.15.5-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 11 Aug 2006 08:58:26 +0200

pycurl (7.15.4.2-2) unstable; urgency=low

  * Fixed reversed logic in acquring python thread lock (closes: #380156).
    Patch courtesy of Bastian Kleineidam.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  8 Aug 2006 08:22:16 +0200

pycurl (7.15.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 25 Jul 2006 11:01:26 +0200

pycurl (7.15.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 27 Jun 2006 17:16:37 +0200

pycurl (7.15.2-2) unstable; urgency=low

  * Adopt to the new python policy.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 18:49:11 +0200

pycurl (7.15.2-1) unstable; urgency=low

  * New upstream release.
  * Adopted debhelper's compatibility level 5.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  7 Mar 2006 10:05:16 +0100

pycurl (7.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 18 Oct 2005 11:22:23 +0200

pycurl (7.14.1-1) experimental; urgency=low

  * New upstream release.
  * Switched to libcurl3-gnutls-dev build dependency.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 18 Sep 2005 00:48:54 +0200

pycurl (7.14.0-2) unstable; urgency=low

  * Matthias Klose:
    - Dropped package python2.2-pycurl.
    - Improved the build process.



=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.3.5-9), python-all-dbg, python-support (>= 0.7.1), libcurl4-gnutls-dev (>= 7.19.0), librtmp-dev, libssh2-1-dev
Standards-Version: 3.9.2
X-Python-Version: all
Homepage: http://pycurl.sourceforge.net
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pycurl/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pycurl/trunk/

Package: python-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev, python-pycurl-dbg
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings to libcurl
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.

Package: python-pycurl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-pycurl (= ${binary:Version}), ${misc:Depends}
Description: Python bindings to libcurl (debug extension)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS := $(shell pyversions -vs)
CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))

unexport LDFLAGS
export FFLAGS="-fPIC"

%:
	dh $@

override_dh_auto_build:
	set -e ;\
	for py in $(PYVERS) ; do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e ;\
	for py in $(PYVERS) ; do \
		for test in "tests/test_internals.py" "tests/test_memleak.py" ; do \
		    PYTHONPATH=`ls -d $(CURDIR)/build/lib.*-*-$$py` \
	        	python$$py $$test; \
		done; \
	done
endif

#clean:
#	dh_testdir
#	dh_testroot
#	rm -f build-*
#
#	for py in $(PYVERS); do \
#	    python$$py setup.py clean; \
#	    python$$py-dbg setup.py clean; \
#	done
#
#	rm -rf build
#	-find -name '*.py[co]' | xargs rm -f
#	dh_clean

override_dh_auto_install:
	for py in $(PYVERS); do \
  	    python$$py setup.py install --root=$(CURDIR)/debian/python-pycurl --install-layout=deb; \
 	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-pycurl-dbg --install-layout=deb; \
	done

	rm -rf $(CURDIR)/debian/python-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info

	rm -rf debian/python-pycurl-dbg/usr/share/doc/python-pycurl-dbg
	dh_link -ppython-pycurl-dbg usr/share/doc/python-pycurl usr/share/doc/python-pycurl-dbg

override_dh_installdocs:
	cp -a doc/*.html debian/python-pycurl/usr/share/doc/python-pycurl/html
	dh_installdocs TODO

override_dh_installexamples:
	dh_installexamples examples/*

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pycurl --dbg-package=python-pycurl-dbg
	# fix python-debug-in-wrong-location lintian warning
	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

override_dh_compress:
	dh_compress -X.py

override_dh_shlibdeps:
	dh_shlibdeps -a
	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python-pycurl*.substvars

## pycurl 7.19.3

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 SHELL = /bin/sh
 
-PYTHON = python2.3
 PYTHON = python
+NOSETESTS = nosetests
 
 all build:
 	$(PYTHON) setup.py build
@@ -15,7 +15,13 @@
 	$(PYTHON) setup.py build --curl-config=/home/hosts/localhost/packages/curl-7.10.8/bin/curl-config
 
 test: build
-	$(PYTHON) tests/test_internals.py -q
+	mkdir -p tests/tmp
+	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
+	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
+	$(PYTHON) -c 'import pycurl; print(pycurl.version)'
+	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
+	$(NOSETESTS)
+	./tests/ext/test-suite.sh
 
 # (needs GNU binutils)
 strip: build
@@ -41,18 +47,22 @@
 # target for maintainer
 windist: distclean
 	rm -rf build
-	python2.1 setup.py bdist_wininst
-	rm -rf build
 	python2.2 setup.py bdist_wininst
 	rm -rf build
 	python2.3 setup.py bdist_wininst
 	rm -rf build
-	python2.1 setup_win32_ssl.py bdist_wininst
+	python2.4 setup.py bdist_wininst
 	rm -rf build
 	python2.2 setup_win32_ssl.py bdist_wininst
 	rm -rf build
 	python2.3 setup_win32_ssl.py bdist_wininst
 	rm -rf build
+	python2.4 setup_win32_ssl.py bdist_wininst
+	rm -rf build
+
+docs:
+	cd doc && for file in *.rst; do rst2html "$$file" ../www/htdocs/doc/`echo "$$file" |sed -e 's/.rst$$/.html/'`; done
+	rst2html RELEASE-NOTES.rst www/htdocs/release-notes.html
 
 
 .PHONY: all build test strip install install_lib clean distclean maintainer-clean dist sdist windist

=== src/Makefile ===
CC=gcc
RM=rm
CP=cp
PYINCLUDE=/usr/include/python2.2
CURLINCLUDE=/usr/include/curl
INCLUDE=-I$(PYINCLUDE) -I$(CURLINCLUDE)
LIBS=-L/usr/lib -lcurl
LDOPTS=-shared
CCOPTS=-g -O2 -Wall -Wstrict-prototypes -fPIC

all:
	$(CC) $(INCLUDE) $(CCOPTS) -c pycurl.c -o pycurl.o
	$(CC) $(LIBS) $(LDOPTS) -lcurl pycurl.o -o pycurl.so

install: all
	$(CP) pycurl.so /usr/lib/python2.2/site-packages

clean:
	$(RM) -f *~ *.o *obj *.so

=== debian/changelog ===
pycurl (7.19.3-0ubuntu3) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:33 +0000

pycurl (7.19.3-0ubuntu2) trusty; urgency=medium

  * Remove the pycurl tests and examples in the python3 packages as well.
    LP: #1269532.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2014 12:51:11 +0100

pycurl (7.19.3-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2014 19:33:35 +0100

pycurl (7.19.0.3-1ubuntu2) trusty; urgency=medium

  * Remove build dependency on python-bottle (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2014 09:13:01 +0100

pycurl (7.19.0.3-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/lp1063350.patch: Reset the float context after
      closing the curl object (lp #1063350).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.
    - Build python3-pycurl and python3-pycurl-dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 22:06:50 +0100

pycurl (7.19.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_setup.py.patch
    - refreshed, due to new upstream code
  * debian/patches/{20_remove_string_options.patch,
      30_fix_refcounts_calling_reset_twice.patch,
      40_add_CURLOPT_SEEKFUNCTION_and_CURLOPT_SEEKDATA.patch,
      debian/patches/50_dont_leak_user_agent.patch}
    - removed, merged upstream
  * debian/rules
    - run tests using nosetests
    - install README.rst in the documentation
    - Remove documentation as installed by setup.py
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
    - added nose/bottle/cherrypy3 to b-d, needed to run tests
  * debian/{control, rules}
    - Switch to dh_python2; thanks to Barry Warsaw for the report and patch;
      Closes: #635630

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2014 18:25:52 +0100

pycurl (7.19.0-7) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * Upload to unstable
  * debian/patches/50_dont_leak_user_agent.patch
    - fix memory leak in reset(); thanks to Örjan Persson for the report and
      patch; Closes: #709226

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Jun 2013 20:14:33 +0200

pycurl (7.19.0-6) experimental; urgency=low

  * debian/patches/20_remove_string_options.patch
    - No longer keep copies of string options since this is managed by libcurl,
      needed to have pycurl.c in sync with upstream CVS, and apply further
      patches
  * debian/patches/30_fix_refcounts_calling_reset_twice.patch
    - Fixes refcount bug and provides better organization of PyCurl object,
      allowing to call reset() multiple time; thansk to Emmanuel Bouthenot for
      the report; Closes: #690187
  * debian/patches/40_add_CURLOPT_SEEKFUNCTION_and_CURLOPT_SEEKDATA.patch
    - Added CURLOPT_SEEKFUNCTION, CURLOPT_SEEKDATA
  * debian/control
    - bump Standards-Version t0 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Oct 2012 11:20:44 +0100

pycurl (7.19.0-5ubuntu9) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:48 +0000

pycurl (7.19.0-5ubuntu8) raring; urgency=low

  * No change rebuild for Python issue #17703, trashcan mechanism segfault
    during interpreter finalization

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 23:51:53 +0200

pycurl (7.19.0-5ubuntu7) raring; urgency=low

  * debian/patches/lp1063350.patch: Reset the float context after
    closing the curl object.  (LP: #1063350)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 04 Apr 2013 18:53:22 -0400

pycurl (7.19.0-5ubuntu6) raring; urgency=low

  * debian/patches/python3.patch:
    - And make sure that the last WRITEFUNCTION fix only is used for
      Python 3, to avoid breaking Python 2 (LP: #1108161)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 28 Jan 2013 14:30:36 -0500

pycurl (7.19.0-5ubuntu5) raring; urgency=low

  * debian/patches/python3.patch:
    - Fix another reported Python3 issue, a string/bytes issue when
      using WRITEFUNCTION.  Fix by bdarnell.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 25 Jan 2013 09:32:38 -0500

pycurl (7.19.0-5ubuntu4) raring; urgency=low

  * debian/patches/python3.patch:
    - Stop hasattr(pycurl.Curl(), 'nothere') from throwing SystemError.
      LP: #1103667

 -- Michael Terry <mterry@ubuntu.com>  Wed, 23 Jan 2013 15:33:14 -0500

pycurl (7.19.0-5ubuntu3) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 23:00:24 +0000

pycurl (7.19.0-5ubuntu2) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 17:54:41 +0200

pycurl (7.19.0-5ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Switch to dh_python2
  * debian/control:
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.
  * debian/patches/python3.patch, debian/control, debian/rules:
    - Add Python 3 support

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Aug 2012 13:44:35 -0400

pycurl (7.19.0-4ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:07:26 +0000

pycurl (7.19.0-4ubuntu2) oneiric; urgency=low

  * Run update_maintainer.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 08 Aug 2011 13:33:29 -0400

pycurl (7.19.0-4ubuntu1) oneiric; urgency=low

  * Switch to dh_python2.  (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 27 Jul 2011 14:01:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: pycurl
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.3.5-9), python-all-dbg, python-support (>= 0.7.1), libcurl4-gnutls-dev (>= 7.19.0), librtmp-dev, libssh2-1-dev
-Standards-Version: 3.9.2
-X-Python-Version: all
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, libcurl4-gnutls-dev (>= 7.19.0), librtmp-dev, python-nose, python-cherrypy3, python3-all-dev, python-all-dbg, python3-all-dbg
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 Homepage: http://pycurl.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pycurl/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pycurl/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pycurl/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pycurl/trunk/
 
 Package: python-pycurl
 Architecture: any
@@ -30,3 +32,26 @@
  the libcurl documentation available in libcurl4-gnutls-dev Debian package.
  .
  This package contains the extension built for the Python debug interpreter.
+
+Package: python3-pycurl
+Architecture: any
+Suggests: libcurl4-gnutls-dev, python3-pycurl-dbg
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python 3 bindings to libcurl
+ This module provides the Python 3 bindings to libcurl. Please refer to
+ the libcurl documentation available in libcurl4-gnutls-dev Debian package.
+ .
+ NOTE: the SSL support is provided by GnuTLS.
+
+Package: python3-pycurl-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${python3:Depends}, python3-dbg, python3-pycurl (= ${binary:Version}), ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python 3 bindings to libcurl (debug extension)
+ This module provides the Python 3 bindings to libcurl. Please refer to
+ the libcurl documentation available in libcurl4-gnutls-dev Debian package.
+ .
+ This package contains the extension built for the Python 3 debug interpreter.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS := $(shell pyversions -rv)
PY3VERS := $(shell py3versions -rv)
CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))

unexport LDFLAGS
export FFLAGS="-fPIC"

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e ;\
	for py in $(PYVERS) $(PY3VERS) ; do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	-set -e ;\
	for py in $(PYVERS) $(PY3VERS) ; do \
		PYTHONPATH=`ls -d $(CURDIR)/build/lib.*-*-$$py` nosetests --verbose ; \
	done
endif

#clean:
#	dh_testdir
#	dh_testroot
#	rm -f build-*
#
#	for py in $(PYVERS); do \
#	    python$$py setup.py clean; \
#	    python$$py-dbg setup.py clean; \
#	done
#
#	rm -rf build
#	-find -name '*.py[co]' | xargs rm -f
#	dh_clean

override_dh_auto_install:
	for py in $(PYVERS); do \
  	    python$$py setup.py install --root=$(CURDIR)/debian/python-pycurl --install-layout=deb; \
 	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-pycurl-dbg --install-layout=deb; \
	done
	for py in $(PY3VERS); do \
	    python$$py setup.py install --root=$(CURDIR)/debian/python3-pycurl --install-layout=deb; \
	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python3-pycurl-dbg --install-layout=deb; \
	done

	# Remove documentation as installed by setup.py
	rm -rf $(CURDIR)/debian/python*-pycurl*/usr/share/doc/pycurl

	rm -rf $(CURDIR)/debian/python-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info
	rm -rf $(CURDIR)/debian/python3-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python3-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info

	rm -rf debian/python-pycurl-dbg/usr/share/doc/python-pycurl-dbg
	dh_link -ppython-pycurl-dbg usr/share/doc/python-pycurl usr/share/doc/python-pycurl-dbg
	rm -rf debian/python3-pycurl-dbg/usr/share/doc/python3-pycurl-dbg
	dh_link -ppython3-pycurl-dbg usr/share/doc/python3-pycurl usr/share/doc/python3-pycurl-dbg

override_dh_installdocs:
	cp -a doc/*.html debian/python-pycurl/usr/share/doc/python-pycurl/html
	mkdir -p debian/python3-pycurl/usr/share/doc/python3-pycurl/html
	cp -a doc/*.html debian/python3-pycurl/usr/share/doc/python3-pycurl/html
	dh_installdocs -ppython-pycurl README.rst
	dh_installdocs -ppython3-pycurl README.rst

override_dh_installexamples:
	dh_installexamples -ppython-pycurl examples/*
	dh_installexamples -ppython3-pycurl examples/*

override_dh_installchangelogs:
	dh_installchangelogs -ppython-pycurl ChangeLog
	dh_installchangelogs -ppython3-pycurl ChangeLog

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pycurl --dbg-package=python-pycurl-dbg
	dh_strip -ppython3-pycurl --dbg-package=python3-pycurl-dbg
endif

override_dh_compress:
	dh_compress -X.py

override_dh_shlibdeps:
	dh_shlibdeps -a
	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python-pycurl*.substvars

=== debian/watch ===
version=2
http://pycurl.sourceforge.net/download/pycurl-([\d\.]*).tar.gz

## pycurl 7.19.5

=== Makefile ===
#
# to use a specific python version call
#   `make PYTHON=python2.7'
#

SHELL = /bin/sh

PYTHON = python
NOSETESTS = nosetests

# -c on linux
# freebsd does not understand -c
CHMOD_VERBOSE=-v

BUILD_WWW = build/www

RSYNC = rsync
##RSYNC_FLAGS = -av --relative -e ssh
RSYNC_FLAGS = -av --relative --delete --delete-after -e ssh

RSYNC_FILES = \
	htdocs \
	htdocs/download/.htaccess \
	upload

RSYNC_EXCLUDES = \
	'--exclude=htdocs/download/' \
	'--exclude=upload/Ignore/'

RSYNC_TARGET = /home/groups/p/py/pycurl/

RSYNC_USER = armco@web.sourceforge.net

# src/module.c is first because it declares global variables
# which other files reference; important for single source build
SOURCES = src/module.c src/easy.c src/multi.c src/oscompat.c src/pythoncompat.c \
	src/share.c src/stringcompat.c src/threadsupport.c

GEN_SOURCES = src/docstrings.c src/docstrings.h

ALL_SOURCES = src/pycurl.h $(GEN_SOURCES) $(SOURCES)

RELEASE_SOURCES = src/allpycurl.c

DOCSTRINGS_SOURCES = \
	doc/docstrings/curl.rst \
	doc/docstrings/curl_close.rst \
	doc/docstrings/curl_errstr.rst \
	doc/docstrings/curl_getinfo.rst \
	doc/docstrings/curl_pause.rst \
	doc/docstrings/curl_perform.rst \
	doc/docstrings/curl_reset.rst \
	doc/docstrings/curl_setopt.rst \
	doc/docstrings/curl_unsetopt.rst \
	doc/docstrings/multi.rst \
	doc/docstrings/multi_add_handle.rst \
	doc/docstrings/multi_close.rst \
	doc/docstrings/multi_fdset.rst \
	doc/docstrings/multi_info_read.rst \
	doc/docstrings/multi_perform.rst \
	doc/docstrings/multi_remove_handle.rst \
	doc/docstrings/multi_select.rst \
	doc/docstrings/multi_socket_action.rst \
	doc/docstrings/multi_socket_all.rst \
	doc/docstrings/pycurl_global_cleanup.rst \
	doc/docstrings/pycurl_global_init.rst \
	doc/docstrings/pycurl_module.rst \
	doc/docstrings/pycurl_version_info.rst \
	doc/docstrings/share.rst \
	doc/docstrings/share_close.rst \
	doc/docstrings/share_setopt.rst

all: build
src-release: $(RELEASE_SOURCES)

src/docstrings.c src/docstrings.h: $(DOCSTRINGS_SOURCES)
	$(PYTHON) setup.py docstrings

src/allpycurl.c: $(ALL_SOURCES)
	echo '#define PYCURL_SINGLE_FILE' >src/.tmp.allpycurl.c
	cat src/pycurl.h >>src/.tmp.allpycurl.c
	cat src/docstrings.c $(SOURCES) |sed -e 's/#include "pycurl.h"//' -e 's/#include "docstrings.h"//' >>src/.tmp.allpycurl.c
	mv src/.tmp.allpycurl.c src/allpycurl.c

gen: $(ALL_SOURCES)

build: $(ALL_SOURCES)
	$(PYTHON) setup.py build

build-release: $(RELEASE_SOURCES)
	PYCURL_RELEASE=1 $(PYTHON) setup.py build

do-test:
	mkdir -p tests/tmp
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	$(PYTHON) -c 'import pycurl; print(pycurl.version)'
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	$(NOSETESTS) -a '!standalone'
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	$(NOSETESTS) -a standalone
	./tests/ext/test-suite.sh

test: build do-test
test-release: build-release do-test

# rails-style alias
c: console
console:
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	$(PYTHON)

# (needs GNU binutils)
strip: build
	strip -p --strip-unneeded build/lib*/*.so
	chmod -x build/lib*/*.so

install install_lib:
	$(PYTHON) setup.py $@

clean:
	-rm -rf build dist
	-rm -f *.pyc *.pyo */*.pyc */*.pyo */*/*.pyc */*/*.pyo
	-rm -f MANIFEST
	-rm -f src/allpycurl.c $(GEN_SOURCES)
	cd src && $(MAKE) clean

distclean: clean

maintainer-clean: distclean

dist sdist: distclean
	$(PYTHON) setup.py sdist

# Rebuild missing or changed documentation.
# Editing docstrings in Python or C source will not cause the documentation
# to be rebuilt with this target, use docs-force instead.
docs: build
	mkdir -p build/docstrings
	for file in doc/docstrings/*.rst; do tail -n +3 $$file >build/docstrings/`basename $$file`; done
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	sphinx-build doc build/doc

# Rebuild all documentation.
# As sphinx extracts documentation from pycurl modules, docs targets
# depend on build target.
docs-force: build
	# sphinx-docs has an -a option but it does not seem to always
	# rebuild everything
	rm -rf build/doc
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	sphinx-build doc build/doc

www: docs
	mkdir -p build
	rsync -a www build --delete
	rsync -a build/doc/ build/www/htdocs/doc --exclude .buildinfo --exclude .doctrees
	cp doc/static/favicon.ico build/www/htdocs
	cp ChangeLog build/www/htdocs

rsync: rsync-prepare
	cd $(BUILD_WWW) && \
	$(RSYNC) $(RSYNC_FLAGS) $(RSYNC_EXCLUDES) $(RSYNC_FILES) $(RSYNC_USER):$(RSYNC_TARGET)

rsync-dry:
	$(MAKE) rsync 'RSYNC=rsync --dry-run'

rsync-check:
	$(MAKE) rsync 'RSYNC=rsync --dry-run -c'

# NOTE: Git does not maintain metadata like owners and file permissions,
#       so we have to care manually.
# NOTE: rsync targets depend on www.
rsync-prepare:
	chgrp $(CHMOD_VERBOSE) -R pycurl $(BUILD_WWW)
	chmod $(CHMOD_VERBOSE) g+r `find $(BUILD_WWW) -perm +400 -print`
	chmod $(CHMOD_VERBOSE) g+w `find $(BUILD_WWW) -perm +200 -print`
	chmod $(CHMOD_VERBOSE) g+s `find $(BUILD_WWW) -type d -print`
##	chmod $(CHMOD_VERBOSE) g+rws `find $(BUILD_WWW) -type d -perm -770 -print`
	chmod $(CHMOD_VERBOSE) g+rws `find $(BUILD_WWW) -type d -print`
	chmod $(CHMOD_VERBOSE) o-rwx $(BUILD_WWW)/upload
	#-rm -rf `find $(BUILD_WWW) -name .xvpics -type d -print`

.PHONY: all build test do-test strip install install_lib \
	clean distclean maintainer-clean dist sdist \
	docs docs-force \
	rsync rsync-dry rsync-check rsync-prepare

.NOEXPORT:

=== debian/changelog ===
pycurl (7.19.5-3) unstable; urgency=medium

  * d/watch: Updated download URL to point to PyPI.
  * d/patches/0003-upstream-issue-210.patch: Added a proposed fix for
    upstream issue #210.

 -- Barry Warsaw <barry@debian.org>  Tue, 14 Oct 2014 16:56:10 -0400

pycurl (7.19.5-2) unstable; urgency=medium

  * d/control: Update the Vcs-* headers for the move to git-dpm.

 -- Barry Warsaw <barry@debian.org>  Wed, 01 Oct 2014 19:42:50 -0400

pycurl (7.19.5-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * debian/control
    - fix short description (adding py3k tag to the right package); thanks to
      bodrato for the report; Closes: #739712

  [ Andreas Metzler ]
  * debian/control
    - Drop build-depency on librtmp-dev, as it is not in "curl-config
      --static-libs", otoh add one for libgnutls28-dev, since pycurl.c 
      #includes <gnutls/gnutls.h>. Closes: #751059
      (Applied from NMU diff by Barry Warsaw.  Closes: #756199)

  [ Barry Warsaw ]
  * New upstream release.
  * Place myself as Maintainer with previous maintainer's approval.
  * debian/control, debian/rules:
    - Back ported Ubuntu change to split the docs into a separate
      python-pycurl-doc package.  This breaks the dependency of python3-curl
      on python-curl.  Given by Matthias Klose.  Closes: #757694
  * debian/control:
    - Add Suggests on python-curl-doc.
    - Update long descriptions.
    - wrap-and-sort
  * debian/rules:
    - Added --with sphinxdoc.
    - In override_dh_auto_build, call `make gen` since the upstream
      tarball does not seem to contain the generated src/docstrings.{h,c}
      files.
    - Updated override_dh_installdocs for the upstream moved docs directory.
  * debian/copyright: Added short license description to LGPL part to quiet
    lintian warning empty-short-license-in-dep5-copyright.
  * debian/python-pycurl-doc.doc-base: Renamed from python-pycurl.doc-base
    and fixed links.
  * debian/python-pycurl.dirs: Removed.
  * debian/patches/20_build_doc_for_debian.patch: Updated and refreshed.

 -- Barry Warsaw <barry@debian.org>  Tue, 30 Sep 2014 17:38:05 -0400

pycurl (7.19.3.1-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * Removing myself from uploaders. 

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - switch me to Maintainer (team to Uploaders)
  * debian/copyright
    - used DEP-5 format
    - updated upstream & packaging copyright information
  * debian/patches/10_setup.py.patch
    - refreshed
  * Build and install doc from ReST files
  * debian/rules
    - use dh_installdocs to link doc dirs to main package
  * Build Python 3 packages

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Feb 2014 16:57:18 +0100

pycurl (7.19.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - updated MIT copyright holders
    - added new file license information
  * debian/patches/10_setup.py.patch
    - refreshed to new upstream code
  * debian/{control, rules}
    - build and install documentation

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 22:06:19 +0100

=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               libcurl4-gnutls-dev (>= 7.19.0),
               libgnutls28-dev,
               libssh2-1-dev,
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-bottle,
               python-docutils,
               python-nose,
               python-sphinx,
               python3-all-dbg,
               python3-all-dev
Standards-Version: 3.9.5
X-Python-Version: all
X-Python3-Version: >= 3.3
Homepage: http://pycurl.sourceforge.net
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pycurl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/pycurl.git

Package: python-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev, python-pycurl-dbg, python-pycurl-doc
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings to libcurl
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains PyCURL for Python 2.

Package: python3-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev, python-pycurl-doc, python3-pycurl-dbg
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings to libcurl (Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains PyCURL for Python 3.

Package: python-pycurl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-dbg,
         python-pycurl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings to libcurl (debug extension)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-pycurl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-dbg,
         python3-pycurl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings to libcurl (debug extension, Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-pycurl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Python bindings to libcurl (documentation)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains the PyCURL documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pycurl/pycurl-(.*).tar.gz

## pycurl 7.19.5.1

=== debian/changelog ===
pycurl (7.19.5.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:12:58 +0000

pycurl (7.19.5.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 11 May 2015 15:50:26 -0400

pycurl (7.19.5.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Use pypi.debian.net mirror.
  * d/control: Bump Standards-Version to 3.9.6

 -- Barry Warsaw <barry@debian.org>  Mon, 27 Apr 2015 16:57:54 -0400

pycurl (7.19.5-3ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 14 Oct 2014 17:46:13 -0400

pycurl (7.19.5-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 06 Oct 2014 13:25:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: pycurl
 Section: python
 Priority: optional
-Maintainer: Barry Warsaw <barry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                libcurl4-gnutls-dev (>= 7.19.0),
                libgnutls28-dev,
-               libssh2-1-dev,
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
-               python-bottle,
                python-docutils,
                python-nose,
                python-sphinx,
                python3-all-dbg,
                python3-all-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: all
 X-Python3-Version: >= 3.3
 Homepage: http://pycurl.sourceforge.net
